Index: trunk/source/processes/electromagnetic/highenergy/include/G4AnnihiToMuPair.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4AnnihiToMuPair.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4AnnihiToMuPair.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4AnnihiToMuPair.hh,v 1.2 2006/06/29 19:32:12 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4AnnihiToMuPair.hh,v 1.3 2009/11/09 18:24:07 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //         ------------ G4AnnihiToMuPair physics process ------
@@ -83,5 +83,8 @@
        // Get the factor to artificially increase the cross section
 
-     virtual       
+     G4double CrossSectionPerVolume(G4double PositronEnergy, 
+				    const G4Material*);
+       // Compute total cross section					 
+
      G4double ComputeCrossSectionPerAtom(G4double PositronEnergy,
                                          G4double AtomicZ);
@@ -98,5 +101,5 @@
 
      G4VParticleChange* PostStepDoIt(const G4Track& aTrack,
-                                    const G4Step& aStep);
+				     const G4Step& aStep);
        // It computes the final state of the process (at end of step),
        // returned as a ParticleChange object.
@@ -110,8 +113,8 @@
      G4AnnihiToMuPair(const G4AnnihiToMuPair& );
 
-  private:
-
      G4double LowestEnergyLimit;     // Energy threshold of e+
      G4double HighestEnergyLimit;    // Limit of validity of the model
+
+     G4double CurrentSigma;          // the last value of cross section per volume 
 
      G4double CrossSecFactor;        // factor to artificially increase 
Index: trunk/source/processes/electromagnetic/highenergy/include/G4BetheBlochNoDeltaModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4BetheBlochNoDeltaModel.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4BetheBlochNoDeltaModel.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4BetheBlochNoDeltaModel.hh,v 1.8 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4BraggNoDeltaModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4BraggNoDeltaModel.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4BraggNoDeltaModel.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4BraggNoDeltaModel.hh,v 1.7 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4GammaConversionToMuons.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4GammaConversionToMuons.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4GammaConversionToMuons.hh	(revision 1196)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GammaConversionToMuons.hh,v 1.2 2006/06/29 19:32:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //         ------------ G4GammaConversionToMuons physics process ------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4Vee2hadrons.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4Vee2hadrons.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4Vee2hadrons.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4Vee2hadrons.hh,v 1.4 2008/07/10 18:06:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4ee2KChargedModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4ee2KChargedModel.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4ee2KChargedModel.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ee2KChargedModel.hh,v 1.2 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4ee2KNeutralModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4ee2KNeutralModel.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4ee2KNeutralModel.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ee2KNeutralModel.hh,v 1.2 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4eeCrossSections.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4eeCrossSections.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4eeCrossSections.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eeCrossSections.hh,v 1.3 2008/07/10 18:06:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4eeTo3PiModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4eeTo3PiModel.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4eeTo3PiModel.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eeTo3PiModel.hh,v 1.2 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadrons.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadrons.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadrons.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eeToHadrons.hh,v 1.9 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadronsModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadronsModel.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadronsModel.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eeToHadronsModel.hh,v 1.7 2008/07/10 18:06:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadronsMultiModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadronsMultiModel.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4eeToHadronsMultiModel.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eeToHadronsMultiModel.hh,v 1.7 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4eeToPGammaModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4eeToPGammaModel.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4eeToPGammaModel.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eeToPGammaModel.hh,v 1.2 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4eeToTwoPiModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4eeToTwoPiModel.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4eeToTwoPiModel.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4eeToTwoPiModel.hh,v 1.5 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4hBremsstrahlung.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4hBremsstrahlung.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4hBremsstrahlung.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4hBremsstrahlung.hh,v 1.2 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4hBremsstrahlungModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4hBremsstrahlungModel.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4hBremsstrahlungModel.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4hBremsstrahlungModel.hh,v 1.2 2008/07/22 16:15:16 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4hPairProduction.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4hPairProduction.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4hPairProduction.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4hPairProduction.hh,v 1.2 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4hPairProductionModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4hPairProductionModel.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4hPairProductionModel.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4hPairProductionModel.hh,v 1.2 2008/07/22 16:15:16 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4hhIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4hhIonisation.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4hhIonisation.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4hhIonisation.hh,v 1.6 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4mplIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4mplIonisation.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4mplIonisation.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4mplIonisation.hh,v 1.6 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/electromagnetic/highenergy/include/G4mplIonisationModel.hh
===================================================================
--- trunk/source/processes/electromagnetic/highenergy/include/G4mplIonisationModel.hh	(revision 1055)
+++ trunk/source/processes/electromagnetic/highenergy/include/G4mplIonisationModel.hh	(revision 1196)
@@ -25,5 +25,5 @@
 //
 // $Id: G4mplIonisationModel.hh,v 1.7 2009/02/20 16:38:33 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // -------------------------------------------------------------------
